org.apache.lucene.queryparser.xml.builders

## Class SpanBuilderBase

- java.lang.Object
- - org.apache.lucene.queryparser.xml.builders.SpanBuilderBase

- All Implemented Interfaces:
    SpanQueryBuilder, QueryBuilder
  Direct Known Subclasses:
    BoostingTermBuilder, SpanFirstBuilder, SpanNearBuilder, SpanNotBuilder, SpanOrBuilder, SpanOrTermsBuilder, SpanTermBuilder

      public abstract class SpanBuilderBase
      extends Object
      implements SpanQueryBuilder

  Base class for building `SpanQuery`s

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpanBuilderBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Query` | `getQuery(Element e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.queryparser.xml.builders.SpanQueryBuilder

      `getSpanQuery`

- - ### Constructor Detail

    - #### SpanBuilderBase

          public SpanBuilderBase()

  - ### Method Detail

    - #### getQuery

          public Query getQuery(Element e)
                         throws ParserException

      Specified by:
        `getQuery` in interface `QueryBuilder`
      Throws:
        `ParserException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.